summaryrefslogtreecommitdiff
path: root/dev-python/fido2
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/fido2')
-rw-r--r--dev-python/fido2/Manifest3
-rw-r--r--dev-python/fido2/fido2-0.9.3-r1.ebuild44
-rw-r--r--dev-python/fido2/fido2-2.1.1.ebuild56
-rw-r--r--dev-python/fido2/fido2-2.2.0.ebuild56
-rw-r--r--dev-python/fido2/metadata.xml23
5 files changed, 182 insertions, 0 deletions
diff --git a/dev-python/fido2/Manifest b/dev-python/fido2/Manifest
new file mode 100644
index 000000000000..db0c1b0fffc9
--- /dev/null
+++ b/dev-python/fido2/Manifest
@@ -0,0 +1,3 @@
+DIST fido2-0.9.3.tar.gz 217894 BLAKE2B ccc3a9b59045216037664b5bf4b969a79b86b300f67fc4253b563acbbee98912ea076996772f17b88141d2a36a933b4926de96f05c53e204d0bb4eaaa2daad6b SHA512 f105c347784cdfab88ab08852227d24f4bca623145f7f76bd066dadab6ada1eae751934fd4dc7436a5c5fb3a0ed2fc4d5c59bb2a93888d470028f0713ca7e09e
+DIST fido2-2.1.1.tar.gz 4455940 BLAKE2B 1d45ca8b3ebd3a010c8b055b169340a2c288ed53f52d6341a3cc887b873c44d10c8734e3d908c746ea77131fb80013f94a53f7fb70702c8f51bb564ad8906657 SHA512 883cfaf0c0cd304f467fcd515417c456fde353fcd991fa6aaf74fb12ba97a378d082f2fe0ae435bcf14a8c284e0b4665c721410ad2315bc8922e2f09d16d7cac
+DIST fido2-2.2.0.tar.gz 294167 BLAKE2B 189a86d4c003b0070063fbad55f618dbd973c6e8cb701a42ed7cf5af757d1e5d69e92b17f44a180ff7a6c219332e4ac7b3288f78fc50ef398081e77a7c330048 SHA512 bd250e77ff239256240b153da61c525232bb83c056becdce588ef8c287bfccb0ebdfc6d2ac1b7f50a857abc229f9c8a46d99092d26579f68649de5cdd1e15fa2
diff --git a/dev-python/fido2/fido2-0.9.3-r1.ebuild b/dev-python/fido2/fido2-0.9.3-r1.ebuild
new file mode 100644
index 000000000000..ab30f5037f2f
--- /dev/null
+++ b/dev-python/fido2/fido2-0.9.3-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Python based FIDO 2.0 library"
+HOMEPAGE="https://github.com/Yubico/python-fido2"
+SRC_URI="https://github.com/Yubico/python-fido2/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD-2 MIT MPL-2.0"
+SLOT="0/0.9" # Bumped every time a backwards-incompatible version is released
+KEYWORDS="amd64 arm64 ~ppc64 ~riscv x86"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pyscard[${PYTHON_USEDEP}]
+ examples? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pyfakefs-3.4[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${S}"/examples/.
+ docompress -x "/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/dev-python/fido2/fido2-2.1.1.ebuild b/dev-python/fido2/fido2-2.1.1.ebuild
new file mode 100644
index 000000000000..ce11441ffb61
--- /dev/null
+++ b/dev-python/fido2/fido2-2.1.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based FIDO 2.0 library"
+HOMEPAGE="
+ https://github.com/Yubico/python-fido2/
+ https://pypi.org/project/fido2/
+"
+SRC_URI="
+ https://github.com/Yubico/python-fido2/releases/download/${PV}/${P}.tar.gz
+"
+
+LICENSE="Apache-2.0 BSD-2 MIT MPL-2.0"
+SLOT="0/1.0" # Bumped every time a backwards-incompatible version is released
+KEYWORDS="amd64 arm arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ <dev-python/pyscard-3[${PYTHON_USEDEP}]
+ examples? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin
+ sed -i -e '/cryptography/s:, <[0-9]*::' pyproject.toml || die
+}
+
+python_test() {
+ # skip device integration tests
+ epytest --no-device
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${S}"/examples/.
+ docompress -x "/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/dev-python/fido2/fido2-2.2.0.ebuild b/dev-python/fido2/fido2-2.2.0.ebuild
new file mode 100644
index 000000000000..ce11441ffb61
--- /dev/null
+++ b/dev-python/fido2/fido2-2.2.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based FIDO 2.0 library"
+HOMEPAGE="
+ https://github.com/Yubico/python-fido2/
+ https://pypi.org/project/fido2/
+"
+SRC_URI="
+ https://github.com/Yubico/python-fido2/releases/download/${PV}/${P}.tar.gz
+"
+
+LICENSE="Apache-2.0 BSD-2 MIT MPL-2.0"
+SLOT="0/1.0" # Bumped every time a backwards-incompatible version is released
+KEYWORDS="amd64 arm arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ <dev-python/pyscard-3[${PYTHON_USEDEP}]
+ examples? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin
+ sed -i -e '/cryptography/s:, <[0-9]*::' pyproject.toml || die
+}
+
+python_test() {
+ # skip device integration tests
+ epytest --no-device
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${S}"/examples/.
+ docompress -x "/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/dev-python/fido2/metadata.xml b/dev-python/fido2/metadata.xml
new file mode 100644
index 000000000000..cfaa6b4ad70c
--- /dev/null
+++ b/dev-python/fido2/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription>
+ fido2 provides library functionality for communicating with a FIDO
+ device over USB as well as verifying attestation and assertion
+ signatures.
+ </longdescription>
+ <slots>
+ <subslots>
+ Reflects the versions that introduce backwards
+ incompatible changes. Do not bind with ':=',
+ unless you are absolutely sure. In most cases, you
+ should bind to a specific subslot.
+ </subslots>
+ </slots>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>